package com.marvinelsen.willow.domain

import kotlinx.serialization.SerialName
import kotlinx.serialization.Serializable

@Serializable
data class MoedictDefinition(
    @SerialName("def") val definition: String,
    @SerialName("example") val examples: List<String> = emptyList(),
    @SerialName("quote") val quotes: List<String> = emptyList(),
    val type: String? = null,
    @SerialName("link") val links: List<String> = emptyList(),
    val synonyms: String? = null,
    val antonyms: String? = null,
)
